Skip to content
Pile
Esc
navigateopen⌘Jpreview

Create mcp server

POST/workspaces/{organizationId}/mcp/servers
Path parameters
organizationIdstringrequired
Request body
application/json
namestringrequired
min length 1
urlstring<uri>required
scopestringrequired
Allowed:workspacerepoissue
repostring
issueIdstring
Responses
201MCP server created
idstringrequired
organizationIdstringrequired
namestringrequired
urlstringrequired
scopestringrequired
Allowed:workspacerepoissue
repostring | nullrequired
issueIdstring | nullrequired
createdAtstringrequired
updatedAtstringrequired
400Bad request
Try it
Server
Parameters
Bodyapplication/json
Request
curl -X POST "/workspaces/string/mcp/servers" \
  -H "Content-Type: application/json" \
  -d '{
  "name": "string",
  "url": "http://example.com",
  "scope": "workspace",
  "repo": "string",
  "issueId": "string"
}'
Response
{
  "id": "string",
  "organizationId": "string",
  "name": "string",
  "url": "string",
  "scope": "workspace",
  "repo": "string",
  "issueId": "string",
  "createdAt": "string",
  "updatedAt": "string"
}